Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.metadata
Class ConnectorMetaData

    java.lang.Object
      org.jboss.resource.metadata.ConfigPropertyMetaDataContainer
          org.jboss.resource.metadata.ConnectorMetaData

All Implemented Interfaces:
  Serializable

public class ConnectorMetaData
extends ConfigPropertyMetaDataContainer

Connector meta data

Version:
  $Revision: 1.4.6.1 $
Author:
  Adrian Brock
See Also:
  Serialized Form

Constructor Summary
`ConnectorMetaData()`

Method Summary
`void` | `addAdminObject(AdminObjectMetaData aomd)` Add an administered object
`void` | `addConnectionDefinition(ConnectionDefinitionMetaData cdmd)` Add a connection definition
`void` | `addDescription(DescriptionGroupMetaData dmd)` Add a description
`void` | `addMessageListener(MessageListenerMetaData mlmd)` Add a message listener
`void` | `addSecurityPermission(SecurityPermissionMetaData spmd)` Add a security permission
`AdminObjectMetaData` | `getAdminObject(String interfaceName)` Get the admin object
`AuthenticationMechanismMetaData` | `getAuthenticationMechanism()` Get the authentication mechanism
`ConnectionDefinitionMetaData` | `getConnectionDefinition(String connectionDefinition)` Get the connection definition
`DescriptionGroupMetaData` | `getDescription()` Get the desription for the default language
`DescriptionGroupMetaData` | `getDescription(String lang)` Get the description for the give language
`String` | `getEISType()` Get the eis type
`LicenseMetaData` | `getLicense()` Get the license
`MessageListenerMetaData` | `getMessageListener(String messagingType)` Get the message listener
`String` | `getRAClass()` Get the resource adapter class
`String` | `getRAVersion()` Get the resource adapter version
`boolean` | `getReauthenticationSupport()` Get the reauthentication support
`TransactionSupportMetaData` | `getTransactionSupport()` Get the transaction support
`String` | `getVendorName()` Get the vendor name
`String` | `getVersion()` Get the connector version
`void` | `setAuthenticationMechansim(AuthenticationMechanismMetaData ammd)` Set the authentication mechansim
`void` | `setEISType(String eisType)` Set the eis Type
`void` | `setRAClass(String raClass)` Set the resource adapter class
`void` | `setRAVersion(String version)` Set the resource adapter version
`void` | `setReauthenticationSupport(boolean reauthenticationSupport)` Set the reauthentication support
`void` | `setTransactionSupport(TransactionSupportMetaData tsmd)` Set the transaction support
`void` | `setVendorName(String vendorName)` Set the vendor name
`void` | `setVersion(String version)` Set the connector version
`String` | `toString()`

Methods inherited from class org.jboss.resource.metadata.ConfigPropertyMetaDataContainer
`addProperty, getProperties, getProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConnectorMetaData

    public ConnectorMetaData()

Method Detail

### getVersion

    public String getVersion()

  Get the connector version

  Returns:
    the connector version

### setVersion

    public void setVersion(String version)

  Set the connector version

  Parameters:
    `version` - the connector version

### getVendorName

    public String getVendorName()

  Get the vendor name

  Returns:
    the vendor name

### setVendorName

    public void setVendorName(String vendorName)

  Set the vendor name

  Parameters:
    `vendorName` - the vendor name

### getEISType

    public String getEISType()

  Get the eis type

  Returns:
    the eis type

### setEISType

    public void setEISType(String eisType)

  Set the eis Type

  Parameters:
    `eisType` - the eis type

### getRAVersion

    public String getRAVersion()

  Get the resource adapter version

  Returns:
    the resource adapter version

### setRAVersion

    public void setRAVersion(String version)

  Set the resource adapter version

  Parameters:
    `version` - the resource adapter version

### getRAClass

    public String getRAClass()

  Get the resource adapter class

  Returns:
    the resource adapter class

### setRAClass

    public void setRAClass(String raClass)

  Set the resource adapter class

  Parameters:
    `raClass` - the resource adapter class

### getReauthenticationSupport

    public boolean getReauthenticationSupport()

  Get the reauthentication support

  Returns:
    the reauthentication support

### setReauthenticationSupport

    public void setReauthenticationSupport(boolean reauthenticationSupport)

  Set the reauthentication support

  Parameters:
    `reauthenticationSupport` - true for support, false otherwise

### getLicense

    public LicenseMetaData getLicense()

  Get the license

  Returns:
    the license

### getDescription

    public DescriptionGroupMetaData getDescription()

  Get the desription for the default language

  Returns:
    the description for the default langugage

### getDescription

    public DescriptionGroupMetaData getDescription(String lang)

  Get the description for the give language

  Parameters:
    `lang` - the language
  Returns:
    the description

### addDescription

    public void addDescription(DescriptionGroupMetaData dmd)

  Add a description

  Parameters:
    `dmd` - the description

### getTransactionSupport

    public TransactionSupportMetaData getTransactionSupport()

  Get the transaction support

  Returns:
    the transaction support

### setTransactionSupport

    public void setTransactionSupport(TransactionSupportMetaData tsmd)

  Set the transaction support

  Parameters:
    `tsmd` - the transaction support

### getAuthenticationMechanism

    public AuthenticationMechanismMetaData getAuthenticationMechanism()

  Get the authentication mechanism

  Returns:
    the authentication mechanism

### setAuthenticationMechansim

    public void setAuthenticationMechansim(AuthenticationMechanismMetaData ammd)

  Set the authentication mechansim

  Parameters:
    `ammd` - the authentication mechansim

### addConnectionDefinition

    public void addConnectionDefinition(ConnectionDefinitionMetaData cdmd)

  Add a connection definition

### getConnectionDefinition

    public ConnectionDefinitionMetaData getConnectionDefinition(String connectionDefinition)

  Get the connection definition

  Parameters:
    `connectionDefinition` - the idenitifying factory
  Returns:
    the metadata or null if there isn't one

### addMessageListener

    public void addMessageListener(MessageListenerMetaData mlmd)

  Add a message listener

### getMessageListener

    public MessageListenerMetaData getMessageListener(String messagingType)

  Get the message listener

  Parameters:
    `messagingType` - the identifying listener interface
  Returns:
    the metadata or null if there isn't one

### addAdminObject

    public void addAdminObject(AdminObjectMetaData aomd)

  Add an administered object

### getAdminObject

    public AdminObjectMetaData getAdminObject(String interfaceName)

  Get the admin object

  Parameters:
    `interfaceName` - the identifying admin object interface
  Returns:
    the metadata or null if there isn't one

### addSecurityPermission

    public void addSecurityPermission(SecurityPermissionMetaData spmd)

  Add a security permission

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.